Package wx :: Package lib :: Package masked :: Module maskededit :: Class MaskedEditAccessorsMixin

[frames | no frames]

## Class MaskedEditAccessorsMixin

Known Subclasses:
  `ComboBox`, `PreMaskedComboBox`, `PreMaskedTextCtrl`, `TextCtrl`

To avoid a ton of boiler-plate, and to automate the getter/setter generation for each valid control parameter so we never forget to add the functions when adding parameters, this class programmatically adds the masked edit mixin parameters to itself. (This makes it easier for Designers like Boa to deal with masked controls.)

To further complicate matters, this is done with an extra level of inheritance, so that "general" classes like masked.TextCtrl can have all possible attributes, while derived classes, like masked.TimeCtrl and masked.NumCtrl can prevent exposure of those optional attributes of their base class that do not make sense for their derivation.

Therefore, we define:
  BaseMaskedTextCtrl(TextCtrl, MaskedEditMixin)
and
  masked.TextCtrl(BaseMaskedTextCtrl, MaskedEditAccessorsMixin).
This allows us to then derive:
  masked.NumCtrl( BaseMaskedTextCtrl )

and not have to expose all the same accessor functions for the derived control when they don't all make sense for it.

Method Summary
| `GetAutoCompleteKeycodes(self)`
| `GetAutoformat(self)`
| `GetAutoSelect(self)`
| `GetChoiceRequired(self)`
| `GetChoices(self)`
| `GetCompareNoCase(self)`
| `GetDatestyle(self)`
| `GetDecimalChar(self)`
| `GetDefaultEncoding(self)`
| `GetDefaultValue(self)`
| `GetDemo(self)`
| `GetDescription(self)`
| `GetEmptyBackgroundColour(self)`
| `GetEmptyInvalid(self)`
| `GetExcludeChars(self)`
| `GetFields(self)`
| `GetFillChar(self)`
| `GetFormatcodes(self)`
| `GetGroupChar(self)`
| `GetIncludeChars(self)`
| `GetInvalidBackgroundColour(self)`
| `GetMask(self)`
| `GetRaiseOnInvalidPaste(self)`
| `GetRetainFieldValidation(self)`
| `GetShiftDecimalChar(self)`
| `GetSignedForegroundColour(self)`
| `GetUseFixedWidthFont(self)`
| `GetUseParensForNegatives(self)`
| `GetValidBackgroundColour(self)`
| `GetValidFunc(self)`
| `GetValidRange(self)`
| `GetValidRegex(self)`
| `GetValidRequired(self)`
| `SetAutoCompleteKeycodes(self, value)`
| `SetAutoformat(self, value)`
| `SetAutoSelect(self, value)`
| `SetChoiceRequired(self, value)`
| `SetChoices(self, value)`
| `SetCompareNoCase(self, value)`
| `SetDatestyle(self, value)`
| `SetDecimalChar(self, value)`
| `SetDefaultEncoding(self, value)`
| `SetDefaultValue(self, value)`
| `SetDemo(self, value)`
| `SetDescription(self, value)`
| `SetEmptyBackgroundColour(self, value)`
| `SetEmptyInvalid(self, value)`
| `SetExcludeChars(self, value)`
| `SetFields(self, value)`
| `SetFillChar(self, value)`
| `SetFormatcodes(self, value)`
| `SetGroupChar(self, value)`
| `SetIncludeChars(self, value)`
| `SetInvalidBackgroundColour(self, value)`
| `SetMask(self, value)`
| `SetRaiseOnInvalidPaste(self, value)`
| `SetRetainFieldValidation(self, value)`
| `SetShiftDecimalChar(self, value)`
| `SetSignedForegroundColour(self, value)`
| `SetUseFixedWidthFont(self, value)`
| `SetUseParensForNegatives(self, value)`
| `SetValidBackgroundColour(self, value)`
| `SetValidFunc(self, value)`
| `SetValidRange(self, value)`
| `SetValidRegex(self, value)`
| `SetValidRequired(self, value)`

Class Variable Summary
`list` | `exposed_basectrl_params` = `['demo', 'retainFieldValidatio...`
`str` | `param` = `'raiseOnInvalidPaste'`
`str` | `propname` = `'RaiseOnInvalidPaste'`

Class Variable Details

### exposed_basectrl_params

  Type:
    `list`
  Value:

        ['demo',
         'retainFieldValidation',
         'emptyBackgroundColour',
         'fields',
         'datestyle',
         'validBackgroundColour',
         'mask',
         'autoCompleteKeycodes',
        ...

### param

  Type:
    `str`
  Value:

        'raiseOnInvalidPaste'

### propname

  Type:
    `str`
  Value:

        'RaiseOnInvalidPaste'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:21 2007 | http://epydoc.sf.net